Last Comment Bug 735524 - remove migration assistant which relates to tb2-tb3 differences
: remove migration assistant which relates to tb2-tb3 differences
Status: VERIFIED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Migration (show other bugs)
: 10 Branch
: All All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Magnus Melin
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 16:55 PDT by Tobias (:Tobbi) Markus
Modified: 2012-06-11 02:31 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (154.49 KB, patch)
2012-05-11 11:56 PDT, Magnus Melin
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
proposed fix followup (1.29 KB, patch)
2012-05-17 11:24 PDT, Magnus Melin
mozilla: review+
Details | Diff | Splinter Review

Description Tobias (:Tobbi) Markus 2012-03-13 16:55:13 PDT
STR:
1. Open a new compose window by clicking the Compose button in the toolbar. 
2. Then click Help > Migration wizard. 
3. You find out that there's a blank window opening, as opposed to when the migration wizard is opened using the Main window.

Screencast:
http://screencast.com/t/4LJnemrB

NB: I'm sorry for all the German in the screencast :P
Comment 1 Ludovic Hirlimann [:Usul] 2012-03-14 07:39:58 PDT
Timestamp: 3/14/12 3:39:13 PM
Error: aParentWin.gFolderTreeView is undefined
Source File: chrome://messenger/content/featureConfigurator.js
Line: 109
Comment 2 Tobias (:Tobbi) Markus 2012-03-14 08:11:47 PDT
(In reply to Ludovic Hirlimann [:Usul] from comment #1)
> Timestamp: 3/14/12 3:39:13 PM
> Error: aParentWin.gFolderTreeView is undefined
> Source File: chrome://messenger/content/featureConfigurator.js
> Line: 109

From what I can see aParentWin references the open Compose Mail window, not the Thunderbird main window. In the TB main window, there's a gFolderTreeView, but not in the Compose mail window. That's why that check fails. Maybe I can fix it myself.
Comment 3 Magnus Melin 2012-03-16 04:29:47 PDT
You can probably do something like this in fc_init - http://mxr.mozilla.org/comm-central/source/mail/base/content/featureConfigurator.js#102
if (!aParentWin.gFolderTreeView) 
  aParentWin = Services.wm.getMostRecentWindow("mail:3pane");

However... with no 3pane open things will get more complicated.

Did i hear there were plans to get rid of the migration wiz, btw? Blake?
Comment 4 Blake Winton (:bwinton) (:☕️) 2012-03-21 08:32:10 PDT
Yeah, I think there are plans, but we haven't gotten around to it yet.
Comment 5 Magnus Melin 2012-05-05 04:19:17 PDT
Ok, let's hijack this bug for the removal.
Comment 6 Magnus Melin 2012-05-11 11:56:06 PDT
Created attachment 623240 [details] [diff] [review]
proposed fix

Almost seems like a shame, but i think it's played it's role.
Comment 7 Blake Winton (:bwinton) (:☕️) 2012-05-16 11:15:49 PDT
Comment on attachment 623240 [details] [diff] [review]
proposed fix

Yep, looks good to me, although I'll be a little sad to see it go…  :)  ui-r=me, r=me.
Comment 8 Magnus Melin 2012-05-16 11:25:12 PDT
http://hg.mozilla.org/comm-central/rev/75dec57445dc -> FIXED
Comment 9 David :Bienvenu 2012-05-16 16:59:07 PDT
I've landed a build bustage fix for this - http://hg.mozilla.org/comm-central/rev/499441818d84

Note that there's also some mozmill cruft that seems left over - http://mxr.mozilla.org/comm-central/source/mail/test/mozmill/shared-modules/test-window-helpers.js#1257
Comment 10 Magnus Melin 2012-05-17 11:24:44 PDT
Created attachment 624808 [details] [diff] [review]
proposed fix followup

Thx David! (Must have missed a qrefresh as i'm sure i grepped for those strings.)

This removes the mozmill cruft
Comment 11 David :Bienvenu 2012-05-17 13:28:17 PDT
Comment on attachment 624808 [details] [diff] [review]
proposed fix followup

thx for the patch, r=me; it would be nice if you restore the comma after the next to last } so that if anyone adds something to that code, they won't get bit by the missing ','.

Note You need to log in before you can comment on or make changes to this bug.